org.apache.ignite.internal.processors.cache.query.continuous

## Class CacheContinuousQueryManager

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheManagerAdapter
  - - org.apache.ignite.internal.processors.cache.query.continuous.CacheContinuousQueryManager

All Implemented Interfaces:
  GridCacheManager

    public class CacheContinuousQueryManager
    extends GridCacheManagerAdapter

Continuous queries manager.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheManagerAdapter

`cctx, log`

### Constructor Summary

Constructors
Constructor and Description
`CacheContinuousQueryManager()`

### Method Summary

Methods
`void` `cancelInternalQuery(UUID routineId)`
`void` `cancelJCacheQuery(javax.cache.configuration.CacheEntryListenerConfiguration cfg)`
`UUID` `executeInternalQuery(javax.cache.event.CacheEntryUpdatedListener<?,?> locLsnr, CacheEntryEventSerializableFilter rmtFilter, boolean loc, boolean notifyExisting)`
`void` `executeJCacheQuery(javax.cache.configuration.CacheEntryListenerConfiguration cfg, boolean onStart)`
`UUID` `executeQuery(javax.cache.event.CacheEntryUpdatedListener locLsnr, CacheEntryEventSerializableFilter rmtFilter, int bufSize, long timeInterval, boolean autoUnsubscribe, ClusterGroup grp)`
`void` `onEntryExpired(GridCacheEntryEx e, KeyCacheObject key, CacheObject oldVal)`
`void` `onEntryUpdated(GridCacheEntryEx e, KeyCacheObject key, CacheObject newVal, CacheObject oldVal, boolean preload)`
`protected void` `onKernalStart0()`
`protected void` `onKernalStop0(boolean cancel)`
`protected void` `start0()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheManagerAdapter

`context, kernalStartInfo, kernalStopInfo, log, onKernalStart, onKernalStop, printMemoryStats, start, startInfo, stop, stop0, stopInfo, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheContinuousQueryManager

    public CacheContinuousQueryManager()

### Method Detail

#### start0

    protected void start0()
                   throws IgniteCheckedException

Overrides:
  `start0` in class `GridCacheManagerAdapter`
Throws:
  `IgniteCheckedException` - If failed.

#### onKernalStart0

    protected void onKernalStart0()
                           throws IgniteCheckedException

Overrides:
  `onKernalStart0` in class `GridCacheManagerAdapter`
Throws:
  `IgniteCheckedException` - If failed.

#### onKernalStop0

    protected void onKernalStop0(boolean cancel)

Overrides:
  `onKernalStop0` in class `GridCacheManagerAdapter`
Parameters:
  `cancel` - Cancel flag.

#### onEntryUpdated

    public void onEntryUpdated(GridCacheEntryEx e,
                      KeyCacheObject key,
                      CacheObject newVal,
                      CacheObject oldVal,
                      boolean preload)
                        throws IgniteCheckedException

Parameters:
  `e` - Cache entry.
  `key` - Key.
  `newVal` - New value.
  `oldVal` - Old value.
  `preload` - Whether update happened during preloading.
Throws:
  `IgniteCheckedException` - In case of error.

#### onEntryExpired

    public void onEntryExpired(GridCacheEntryEx e,
                      KeyCacheObject key,
                      CacheObject oldVal)
                        throws IgniteCheckedException

Parameters:
  `e` - Entry.
  `key` - Key.
  `oldVal` - Old value.
Throws:
  `IgniteCheckedException` - In case of error.

#### executeQuery

    public UUID executeQuery(javax.cache.event.CacheEntryUpdatedListener locLsnr,
                    CacheEntryEventSerializableFilter rmtFilter,
                    int bufSize,
                    long timeInterval,
                    boolean autoUnsubscribe,
                    ClusterGroup grp)
                      throws IgniteCheckedException

Parameters:
  `locLsnr` - Local listener.
  `rmtFilter` - Remote filter.
  `bufSize` - Buffer size.
  `timeInterval` - Time interval.
  `autoUnsubscribe` - Auto unsubscribe flag.
  `grp` - Cluster group.
Returns:
  Continuous routine ID.
Throws:
  `IgniteCheckedException` - In case of error.

#### executeInternalQuery

    public UUID executeInternalQuery(javax.cache.event.CacheEntryUpdatedListener<?,?> locLsnr,
                            CacheEntryEventSerializableFilter rmtFilter,
                            boolean loc,
                            boolean notifyExisting)
                              throws IgniteCheckedException

Parameters:
  `locLsnr` - Local listener.
  `rmtFilter` - Remote filter.
  `loc` - Local flag.
  `notifyExisting` - Notify existing flag.
Returns:
  Continuous routine ID.
Throws:
  `IgniteCheckedException` - In case of error.

#### cancelInternalQuery

    public void cancelInternalQuery(UUID routineId)

Parameters:
  `routineId` - Consume ID.

#### executeJCacheQuery

    public void executeJCacheQuery(javax.cache.configuration.CacheEntryListenerConfiguration cfg,
                          boolean onStart)
                            throws IgniteCheckedException

Parameters:
  `cfg` - Listener configuration.
  `onStart` - Whether listener is created on node start.
Throws:
  `IgniteCheckedException` - If failed.

#### cancelJCacheQuery

    public void cancelJCacheQuery(javax.cache.configuration.CacheEntryListenerConfiguration cfg)
                           throws IgniteCheckedException

Parameters:
  `cfg` - Listener configuration.
Throws:
  `IgniteCheckedException` - In case of error.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015